org.apache.fop.render.pcl.fonts.truetype

## Class PCLTTFOS2FontTable

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
  - - org.apache.fop.render.pcl.fonts.truetype.PCLTTFOS2FontTable

-     public class PCLTTFOS2FontTable
      extends PCLTTFTable

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

      `reader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLTTFOS2FontTable(FontFileReader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvgCharWidth()`
    `int` | `getCapHeight()`
    `int[]` | `getPanose()`
    `int` | `getWeightClass()`
    `int` | `getWidthClass()`
    `int` | `getXHeight()`

    - ### Methods inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

      `skipByte, skipLong, skipShort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLTTFOS2FontTable

          public PCLTTFOS2FontTable(FontFileReader in)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getAvgCharWidth

          public int getAvgCharWidth()

    - #### getXHeight

          public int getXHeight()

    - #### getWidthClass

          public int getWidthClass()

    - #### getWeightClass

          public int getWeightClass()

    - #### getCapHeight

          public int getCapHeight()

    - #### getPanose

          public int[] getPanose()

Copyright © 2023 Apache Software Foundation. All rights reserved.